Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2Agent Class Reference

Combines some options to an agent. More...

`#include <Xabsl2Agent.h>`

Inheritance diagram for Xabsl2Agent:

[legend]
Collaboration diagram for Xabsl2Agent:

[legend]
List of all members.

## Public Member Functions
| Xabsl2Agent (const char *name, Xabsl2Option *rootOption, Xabsl2ErrorHandler &errorHandler)
| Constructor.
Xabsl2Option * | getRootOption () const
| Returns the root option.
## Private Attributes
Xabsl2Option * | rootOption
| A pointer to the root option.
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occur.

## Detailed Description

Combines some options to an agent.

Author:
  Martin Lötzsch

Definition at line 21 of file Xabsl2Agent.h.

## Constructor & Destructor Documentation

Xabsl2Agent::Xabsl2Agent | ( | const char * | name,
|  | Xabsl2Option * | rootOption,
|  | Xabsl2ErrorHandler & | errorHandler
| ) |

  | Constructor. Parameters:
  name | The name of the agent
  rootOption | A pointer to the initial option of the agent
  errorHandler | Is invoked when errors occur
Definition at line 11 of file Xabsl2Agent.cpp. References Xabsl2ErrorHandler::message(), Xabsl2NamedItem::n, and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

## Member Function Documentation

Xabsl2Option * Xabsl2Agent::getRootOption | ( |  | ) | const

| Returns the root option. Definition at line 18 of file Xabsl2Agent.cpp. References rootOption. Referenced by Xabsl2Engine::createOptionGraph(), Xabsl2Engine::setRootOption(), and Xabsl2Engine::setSelectedAgent().

## Member Data Documentation

Xabsl2Option* Xabsl2Agent::rootOption`[private]`

| A pointer to the root option. Definition at line 38 of file Xabsl2Agent.h. Referenced by getRootOption().

Xabsl2ErrorHandler& Xabsl2Agent::errorHandler`[private]`

| Is invoked when errors occur. Definition at line 41 of file Xabsl2Agent.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Agent.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2Agent.cpp